package com.free.video.wallpaper.uipage;

import android.content.Intent;
import android.os.CountDownTimer;
import android.view.View;

import com.free.video.wallpaper.ad.AdManager;
import com.free.video.wallpaper.baseapp.MyBaseActivity;
import com.free.video.wallpaper.databinding.PageSplashBinding;

import kotlin.Unit;
import kotlin.jvm.functions.Function0;
import kotlin.jvm.functions.Function1;

public class PageSplash extends MyBaseActivity<PageSplashBinding> {

    private static final long SPLASH_TIME_OUT = 12000L;
    private CountDownTimer countDownTimer;

    @Override
    protected PageSplashBinding getViewBinding() {
        return PageSplashBinding.inflate(getLayoutInflater());
    }

    @Override
    protected void onCreateInit() {

        countDownTimer = AdManager.showWelcomeAd(PageSplash.this, SPLASH_TIME_OUT, new Function1<Long, Unit>() {
            @Override
            public Unit invoke(Long aLong) {
                float v = 100 - (float) aLong / SPLASH_TIME_OUT * 100;
                int v1 = (int) v;
                vb.progressBar.setProgress(v1);
                return null;
            }
        }, new Function0<Unit>() {
            @Override
            public Unit invoke() {
                vb.progressBar.setProgress(100);
                Intent intent = new Intent(PageSplash.this, PageMain.class);
                startActivity(intent);
                finish();
                return null;
            }
        });
        countDownTimer.start();
    }

    @Override
    protected void onInitClick() {

    }

    @Override
    public boolean isFullScreen() {
        return true;
    }

    @Override
    public boolean statusBarLight() {
        return false;
    }

    @Override
    public void onClick(View view) {

    }

    @Override
    protected void onDestroy() {
        super.onDestroy();
        if(countDownTimer!= null){
            countDownTimer.cancel();
            countDownTimer = null;
        }
    }
}